<html>
    <!--
       Copyright (C) 2018  Técnico Solar Boat

        This program is free software: you can redistribute 
        it and/or modify it under the terms of the GNU General Public License 
        as published by the Free Software Foundation, either version 3 of the 
        License, or (at your option) any later version.

        This program is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU General Public License for more details.

        You should have received a copy of the GNU General Public License
        along with this program.  If not, see <http://www.gnu.org/licenses/>.

        You can contact Técnico Solar Boat by email at: tecnico.solarboat@gmail.com
        or via our facebook page at https://fb.com/tecnico.solarboat  
    -->

<head>
    <title>Técnico Solar Boat</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" type="text/css" href="main.css">
    <link rel="shortcut icon" href="images/favicon.png" type="image/x-icon" />
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script type="text/javascript" src="javascript/BSS.js"></script>
</head>

<body>
    <div id="nav">
        <img src="images/logo.png" height="68.72" width="140" class="centerImage">
        <div class="centerMenu">
            <ul>
                <li><a href="index.html">Boat data</a></li>
                <li><a href="mapa.html">Mapa</a></li>
                <li><a href="graficos.html">Gráficos</a></li>
                <li><a href="table.html">Tabelas</a></li>
                <li><a href="BSS.html">BSS</a></li>
                <li><a href="Motores.html">Motores</a></li>
            </ul>
        </div>
    </div>

    <div id="content">
        <div id="gauge" class="centerPanels">
            <h5 id="date">Data from:
                <script type="text/javascript">
                    setInterval(function() {
                        $("#date").text("Data from: " + mysqlDataBMS["time"]);
                    }, 500);
                </script>
            </h5>
            <h5 id="STATUS">BMS Status:
                <script type="text/javascript">
                    setInterval(function() {
                        $("#STATUS").text("BMS Status: " + mysqlDataBMS["BMS_Status"]);
                        Warnings()
                    }, 500);
                </script>
            </h5>
            <h5 id="MAXMINVOTAGE">Max Cell Voltage:
                <script type="text/javascript">
                    setInterval(function() {
                        $("#MAXMINVOTAGE").text("Max Cell Voltage: " + maxVoltage + " V" + "\tMin Cell Voltage: " + minVoltage + " V");
                    }, 500);
                </script>
            </h5>         
            
            <h5>
            <div class="grey_led led" style="display:inline-block" id="Motores"></div>           
			<div class="grey_led led" style="display:inline-block" id="Paineis"></div>
			<div class="grey_led led" style="display:inline-block" id="UV"></div>
			<div class="grey_led led" style="display:inline-block" id="OV"></div>
			<div class="grey_led led" style="display:inline-block" id="OT"></div>
			<div class="grey_led led" style="display:inline-block" id="OC"></div>
			<p>P &nbsp M &nbsp UV OV &nbsp OT &nbsp OC</p>
            </h5>
			
            <p>
                <span id="SOC_BMS" style="display:inline-block"></span>
                <span id="VOLTAGE_BMS" style="display:inline-block;"></span>
                <span id="IBAT_BMS" style="display:inline-block;"></span>
                <span id="Power_BMS" style="display:inline-block;"></span>
                <span id="SOLAR_POWER" style="display:inline-block;"></span>
            </p>
            <p>
                <span id="V_Painel1" style="display:inline-block"></span>
                <span id="V_Painel2" style="display:inline-block;"></span>
                <span id="V_Painel3" style="display:inline-block;"></span>
                <span id="V_Painel4" style="display:inline-block;"></span>
                <span id="V_Painel5" style="display:inline-block;"></span>
            </p>
            <p>
	            <table class="columns">
					<tr>
					<td><div id="Cell_Voltages"></div></td>
					<td><div id="Thermistors"></div></td>
					</tr>
	            </table>
            </p>
        </div>
        
    </div>
</body>

</html>